Name:           dumb-init
Version:        1.2.5
Release:        3%{?dist}
Summary:        Entry-point for containers that proxies signals

License:        MIT
URL:            https://github.com/Yelp/dumb-init
Source0:        %{url}/archive/v%{version}/v%{version}.tar.gz

BuildRequires: gcc
BuildRequires: help2man

%description
dumb-init is a simple process supervisor and init system designed to run as
PID 1 inside minimal container environments (such as Podman and Docker).

* It can handle orphaned zombie processes.
* It can pass signals properly for simple containers.

%prep
%setup -q

%build
gcc -std=gnu99 %{optflags} -o %{name} dumb-init.c
help2man --no-discard-stderr --include debian/help2man --no-info --name '%{summary}' ./%{name} > %{name}.1

%install
install -Dpm0755 %{name} %{buildroot}%{_bindir}/%{name}
install -Dpm0644 %{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1

%files
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%license LICENSE
%doc README.md

%changelog
* Wed Dec 14 2022 Yaakov Selkowitz <yselkowi@redhat.com> - 1.2.5-3
- Rebuilt for s390x and aarch64

* Fri Apr 29 2022 Yanis Guenane <yguenane@redhat.com> - 1.2.5-2
- Rebuild for ppc64le

* Tue May 18 2021 Yanis Guenane <yguenane@redhat.com> - 1.2.5-1
- Initial build
